Subject: Re: [bug#38110] [PATCH core-updates v3] gnu: rust: Bootstrap [email-masked] by [email-masked].

From: Marius Bakke <[email-masked]>
Date: Mon, 23 Mar 2020 23:16:07 +0100

Danny Milosavljevic <[email-masked]> writes:

> Hi Marius,
>
> it's good to hear that we have some further progress.
>
> I've tried it myself but I can't build it on my laptop with 8 GiB of RAM, not
> even after adding 4 GiB of swap (on an SSD... urgh).
>
> So if the "group linking" caused this massive increase of memory consumption,
> that's probably not good.
>
> Isn't it enough to automatically prepend "-lgit2" when "-lssh2" appears
> or something?

That would be a much better hack yes.  :-)

> See https://github.com/thepowersgang/mrustc/issues/140
>
> I have an account on bayfront and it doesn't work there either (copied the
> entire working directory over from my laptop):
>
> Building rust, I get a texinfo build failure:
> [...]
> + exec ./ginfo --init-file ./t/Infokey-config -f file-menu
> info: "./t/Infokey-config", line 2: unknown action `xxx-not-recognized'
> info: "./t/Infokey-config", line 3: cannot bind key sequence to menu-digit
> + kill -s WINCH 16225
> [...]
> + rm -f t/resize-in-completions.sh.out
> + rm -f t/resize-in-completions.sh.pipein t/resize-in-completions.sh.pipeout
> + exit 1
> FAIL t/resize-in-completions.sh (exit status: 1)
> command "make" "check" "-j" "6" failed with status 2
>
> (it does the same even after guix gc, so it's reproducible)

How are you building Rust?  I've only used the Guix package definition
and did not get as far as actually running the test suite.  Do you have
an updated build script?